Subject: Re: bug#16567: 24.3.50; pcase should signal an error if no case matches

From: Josh <[email-masked]>
Date: Tue, 9 Sep 2014 22:32:19 -0700

On Tue, Sep 9, 2014 at 7:52 PM, Leo Liu <[email-masked]> wrote:

> On 2014-09-09 22:26 -0400, Stefan Monnier wrote:
> > I suggested `pcase-exhaustive'.
> > You suggested `xcase', which I don't like for namespace reasons.
>
> Would `pcasex' be acceptable? I used xcase because I cannot come up with
> a good enough short name, and a long name for such a fundamental macro
> can be annoying.
>

How is the special case of erroring upon failure to match a "fundamental
macro"?
If this needs to exist then Stefan's suggestion of `pcase-exhaustive' or
some other
descriptive name seems like the way to go, but just appending "x" for the
sake of
brevity seems like a bad idea.  Clarity is more important.